Bio::Installer::Generic(3)

NAME
Bio::Installer::Generic - DESCRIPTION of Object

SYNOPSIS
Give standard usage here

DESCRIPTION
Describe the object here

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Albert Vilella
Email avilella-AT-gmail-DOT-com

Describe contact details here

CONTRIBUTORS
Additional contributors names and emails here

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = new Generic();
 Function: Builds a new Generic object
 Returns : an instance of Generic
 Args    : -origin_download_dir => from where is going to be downloaded
           -destination_download_dir => where is going to be saved
           -destination_install_dir => where is going to be installed
           -package_name => name of the package to be downloaded
           -directory_name => name of the directory once has been decompressed

  origin_download_dir
 Title   : origin_download_dir
 Usage   : $obj->origin_download_dir($newval)
 Function:
 Example :
 Returns : value of origin_download_dir (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  destination_download_dir
 Title   : destination_download_dir
 Usage   : $obj->destination_download_dir($newval)
 Function:
 Example :
 Returns : value of destination_download_dir (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  destination_install_dir
 Title   : destination_install_dir
 Usage   : $obj->destination_install_dir($newval)
 Function:
 Example :
 Returns : value of destination_install_dir (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  package_name
 Title   : package_name
 Usage   : $obj->package_name($newval)
 Function:
 Example :
 Returns : value of package_name (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  directory_name
 Title   : directory_name
 Usage   : $obj->directory_name($newval)
 Function:
 Example :
 Returns : value of directory_name (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  env_name
 Title   : env_name
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  _remember_env
 Title   : _remember_env
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  _decompress
 Title   : _decompress
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  download
 Title   : download
 Usage   : $installer->download();
 Function:
 Example :
 Returns :
 Args    :

  uninstall
 Title   : uninstall
 Usage   : $installer->uninstall();
 Function:
 Example :
 Returns :
 Args    :